commit:     90a5c9a2d28192003bf5f78984a7ee02ad74c5ce
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 14:49:20 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 06:38:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90a5c9a2

x11-wm/larswm: fix build with -native-symlinks

Also swapped DEPEND with BDEPEND to put imake in the right block.

Closes: https://bugs.gentoo.org/726232
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-wm/larswm/larswm-7.5.3-r2.ebuild | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/x11-wm/larswm/larswm-7.5.3-r2.ebuild 
b/x11-wm/larswm/larswm-7.5.3-r2.ebuild
index 532c9a439f7..6506e3b2921 100644
--- a/x11-wm/larswm/larswm-7.5.3-r2.ebuild
+++ b/x11-wm/larswm/larswm-7.5.3-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -17,20 +17,22 @@ RDEPEND="x11-libs/libX11
        x11-libs/libXmu
        x11-libs/libXt
        x11-libs/libXext"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
        x11-base/xorg-proto
-       x11-misc/imake
+       >=x11-misc/imake-1.0.8-r1
        x11-misc/gccmakedep
        app-text/rman"
 
 src_configure() {
-       xmkmf -a || die
+       CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
+               IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf -a || die
 }
 
 src_compile() {
        emake \
-               CC=$(tc-getCC) \
-               CCOPTIONS="${CFLAGS}" \
+               CC="$(tc-getCC)" \
+               CDEBUGFLAGS="${CFLAGS}" \
                EXTRA_LDOPTIONS="${LDFLAGS}"
 }
 

Reply via email to